<template>
  <div class="about">
    <h1>This is an about page</h1>
    <div>
      <BButton @click="modal = !modal"> Toggle modal </BButton>
      <BModal v-model="modal">
        <BCard
            title="Card Title"
            img-src="https://picsum.photos/600/300/?image=25"
            img-alt="Image"
            img-top
            tag="article"
           
        >
          <BCardText>
            Some quick example text to build on the card title and make up the bulk of the card's content.
          </BCardText>

          <BButton href="#" variant="primary">Go somewhere</BButton>
        </BCard>
      </BModal>

    </div>
  </div>
</template>
<script setup lang="ts">
import {ref} from "@vue/runtime-dom";
const modal = ref(false)
</script>